using BlacksmithWorkshopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.ViewModels
{
    public class ManufactureViewModel : IManufactureModel
    {
        public int Id { get; set; }
        [DisplayName("Название кузнечного изделия")]
        public string ManufactureName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> ManufactureComponents
        {
            get;
            set;
        } = new();
    }
}
